org.apache.thrift.transport

## Interface TSeekableFile

- All Known Implementing Classes:
    TStandardFile

      public interface TSeekableFile

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.io.InputStream` | `getInputStream()`
    `java.io.OutputStream` | `getOutputStream()`
    `long` | `length()`
    `void` | `seek(long pos)`

- - ### Method Detail

    - #### getInputStream

          java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOutputStream

          java.io.OutputStream getOutputStream()
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### length

          long length()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### seek

          void seek(long pos)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`